Si estas leyendo este post es probable que te encuentres en la necesidad de instalar algún paquete en tu distribución GNU/Linux Debian 5.x pero te encuentras que los depositos configurados en APT ya no se encuentran disponibles ya que el soporte de Debian 5 expiro hace algunos meses..

Mi recomendación personal es que si es posible actualiza a debian 6 o a algo que tenga más tiempo de soporte como Ubuntu 12.04 LTS, pero si no puedes y necesitas instalar un programa debes modificar los URI de los depositos de paquetes.

Pongamos el ejemplo de mi configuración actual de uno de mis servidores:

$ grep "^deb " /etc/apt/sources.list
deb     http://ftp.us.debian.org/debian/     lenny main contrib non-free
deb     http://security.debian.org/ lenny/updates  main contrib non-free

En este caso solo nos interesa cambiar el URI del deposito http://ftp.us.debian.org/debian/, modificamos el archivo para que queden así:

deb     http://archive.debian.org/debian/     lenny main contrib non-free

NOTA: No modificamos el URL del servidor de actualizaciones de seguridad.

Y listo, corre apt-get update para actualizar la lista de paquetes e instala el paquee que necesitas.

$ sudo apt-get install debian-archive-keyring && aptitude update

Si necesitan más información acerca de los cambios en Debian 5 les recomiendo leer las páginas en las referencias al final del post.

Referencias:

http://wiki.debian.org/DebianOldStable
http://wiki.debian.org/DebianLenny
http://www.debian.org/News/2012/20120310